Client versions above 10.8.6 unusable

Issues with the DDNet client.
See the already reported problems on Github.

ᴷᵉᵏᶳ
User
Posts: 33
Joined: Fri Oct 20, 2017 4:33 pm
Player profile: ᴷᵉᵏᶳ
Mapper profile: ᴷᵉᵏᶳ
Clan: ΛLIVΣ

Re: Client versions above 10.8.6 unusable

Post by ᴷᵉᵏᶳ » Fri Apr 13, 2018 7:36 pm

well, theoretically yes. i see that our implementation does "ask" sdl to change it, and if sdl returns an error it doesn't change the value.

User avatar
deen
Retired Administrator
Posts: 3274
Joined: Mon May 05, 2014 2:30 pm
Player profile: deen

Re: Client versions above 10.8.6 unusable

Post by deen » Fri Apr 13, 2018 8:18 pm


User avatar
Ravie
User
Posts: 373
Joined: Sat Feb 04, 2017 5:04 am
Player profile: Ravie
Mapper profile: Ravie
Clan: TOP

Re: Client versions above 10.8.6 unusable

Post by Ravie » Fri Apr 13, 2018 8:53 pm

Hm, still the same :(
Image

ᴷᵉᵏᶳ
User
Posts: 33
Joined: Fri Oct 20, 2017 4:33 pm
Player profile: ᴷᵉᵏᶳ
Mapper profile: ᴷᵉᵏᶳ
Clan: ΛLIVΣ

Re: Client versions above 10.8.6 unusable

Post by ᴷᵉᵏᶳ » Fri Apr 13, 2018 9:02 pm

does the old client let you disable vsync?

User avatar
Ravie
User
Posts: 373
Joined: Sat Feb 04, 2017 5:04 am
Player profile: Ravie
Mapper profile: Ravie
Clan: TOP

Re: Client versions above 10.8.6 unusable

Post by Ravie » Fri Apr 13, 2018 9:04 pm

Of course, it does.
Image

ᴷᵉᵏᶳ
User
Posts: 33
Joined: Fri Oct 20, 2017 4:33 pm
Player profile: ᴷᵉᵏᶳ
Mapper profile: ᴷᵉᵏᶳ
Clan: ΛLIVΣ

Re: Client versions above 10.8.6 unusable

Post by ᴷᵉᵏᶳ » Fri Apr 13, 2018 9:11 pm

well then that's the problem, i gonna look and think, and hopefully i will find the issue

@deen was sdl updated at some point after 10.8.6?

User avatar
deen
Retired Administrator
Posts: 3274
Joined: Mon May 05, 2014 2:30 pm
Player profile: deen

Re: Client versions above 10.8.6 unusable

Post by deen » Fri Apr 13, 2018 9:23 pm

ᴷᵉᵏᶳ wrote:
Fri Apr 13, 2018 9:11 pm
@deen was sdl updated at some point after 10.8.6?
Checked that already, same SDL2 binary in 10.8.6 and 11.0

GG Kid
User
Posts: 253
Joined: Sun Apr 16, 2017 2:33 am
Location: U.S.A.
Player profile: Bolto
Clan: Kerger

Re: Client versions above 10.8.6 unusable

Post by GG Kid » Fri Apr 13, 2018 9:51 pm

VSync works as expected for me with 11.1.2. try resetting your settings by deleting your DDnet_setting.cfg file. make sure to back it up though.

also you have tried 11.0 right https://ddnet.tw/downloads/DDNet-11.0-win64.zip? i lot of changes happed between 10.8.9 & 11.0

Edit: Noby also has issue's an his Mac with later versions, can't quite remember witch version though.
Last edited by GG Kid on Fri Apr 13, 2018 10:22 pm, edited 2 times in total.

User avatar
deen
Retired Administrator
Posts: 3274
Joined: Mon May 05, 2014 2:30 pm
Player profile: deen

Re: Client versions above 10.8.6 unusable

Post by deen » Fri Apr 13, 2018 9:59 pm


User avatar
Ravie
User
Posts: 373
Joined: Sat Feb 04, 2017 5:04 am
Player profile: Ravie
Mapper profile: Ravie
Clan: TOP

Re: Client versions above 10.8.6 unusable

Post by Ravie » Fri Apr 13, 2018 10:23 pm

Sadly, still no change.
Image

Post Reply

Who is online

Users browsing this forum: No registered users and 1 guest